commit:     6f9bcde2d0635a1bdafb29c644a39a398936d94a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 18 14:51:26 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 18 15:47:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f9bcde2

dev-python/matplotlib: Bump to 3.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/matplotlib/Manifest                |   1 +
 dev-python/matplotlib/matplotlib-3.8.2.ebuild | 332 ++++++++++++++++++++++++++
 2 files changed, 333 insertions(+)

diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index 798ad0b13e6a..c6b5d58b1634 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -4,3 +4,4 @@ DIST matplotlib-3.7.2.tar.gz 38095843 BLAKE2B 
e26e78ce3a27604ff3d0f4d280798715b2
 DIST matplotlib-3.7.3.tar.gz 38097222 BLAKE2B 
e0207c8f8bda2db3f9e45d2f606f01374c8d829d747f29d6a5e46cbfc215960b1bf3f5ee471c2c73f4200ebb0a7c9e8b783cb8569ecbb26a3fbc0d802592db0e
 SHA512 
034b81ef4811089e845855eb339155b18b1221ffd325ea73c83e83bb433374dfa4e650e29bbae5ad63a84090eb4b013d0f106ff37c30fd661b4d071004745caa
 DIST matplotlib-3.8.0.tar.gz 35864435 BLAKE2B 
d0eb2893447782f54ca9c8101ca54fa9d86a9f2ef89fb0a17d32c74f3e46728b55c6bed476852d0c11286dc0030028c241adce29024b34845546af6f579ac7bf
 SHA512 
0f75495210946adf0a36af13a75bc9910d345cc05636019952f35856b4c2bfac8a79c48d5a3348e844cfdac797f3ce490fe6a4e1a4fc7033092fee61f9913e21
 DIST matplotlib-3.8.1.tar.gz 35868840 BLAKE2B 
beec824c46279cb92608ffca0dc1835c1d82ef32d68b547c9a5088404a0b37044c1860c59ac16c0c1b65658c7d64b7b4c83b65b38ffb0b320d4c5a3cc4383fb9
 SHA512 
bb933361caba0f4ea590df56569edf4cb728f1daa1219f8793b5ae6ba591cb5d1600fdd1693b7c72a8bb70b0da696b05f1b6ddcabe93d723f29d8541fbf0372c
+DIST matplotlib-3.8.2.tar.gz 35866957 BLAKE2B 
17b3de0101c4e9d76cddc7fa5e44507f1dd628fa70ac0d3c55fb83ca5d36156904bfab50212aaeb0fb89d17615799fe22082ecc1ababd172e39a069b38519064
 SHA512 
4336ca9799bb03fc2f885e35889ad1c62412f7d7b6aa8e284049f75d1166d2f6753c27cf827f0e7f0bb461d3707ccf63a3172ed82f26ec413c0a6578791f957b

diff --git a/dev-python/matplotlib/matplotlib-3.8.2.ebuild 
b/dev-python/matplotlib/matplotlib-3.8.2.ebuild
new file mode 100644
index 000000000000..da349d6f5511
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.8.2.ebuild
@@ -0,0 +1,332 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 flag-o-matic prefix pypi toolchain-funcs virtualx
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="
+       https://matplotlib.org/
+       https://github.com/matplotlib/matplotlib/
+       https://pypi.org/project/matplotlib/
+"
+SRC_URI+="
+       test? (
+               
https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+       )
+"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="cairo doc excel gtk3 latex qt5 tk webagg wxwidgets"
+
+# internal copy of pycxx highly patched
+#      dev-python/pycxx
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       >=dev-python/contourpy-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+       >=dev-python/fonttools-4.22.0[${PYTHON_USEDEP}]
+       >=dev-python/kiwisolver-1.3.1[${PYTHON_USEDEP}]
+       <dev-python/numpy-2[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.25[${PYTHON_USEDEP}]
+       >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+       >=dev-python/pillow-8[jpeg,webp,${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-2.3.1[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+       >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+       media-fonts/dejavu
+       media-fonts/stix-fonts
+       media-libs/freetype:2
+       media-libs/libpng:0
+       >=media-libs/qhull-2013:=
+       virtual/imagemagick-tools[jpeg,tiff]
+       cairo? (
+               dev-python/cairocffi[${PYTHON_USEDEP}]
+       )
+       excel? (
+               dev-python/xlwt[${PYTHON_USEDEP}]
+       )
+       gtk3? (
+               >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+               x11-libs/gtk+:3[introspection]
+       )
+       latex? (
+               virtual/latex-base
+               app-text/dvipng
+               app-text/ghostscript-gpl
+               app-text/poppler[utils]
+               dev-texlive/texlive-fontsrecommended
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-luatex
+               dev-texlive/texlive-xetex
+       )
+       qt5? (
+               dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+       )
+       webagg? (
+               >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+       )
+       wxwidgets? (
+               $(python_gen_cond_dep '
+                       dev-python/wxpython:*[${PYTHON_USEDEP}]
+               ' python3_{10..11})
+       )
+"
+
+BDEPEND="
+       ${RDEPEND}
+       dev-python/pybind11[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-scm-7[${PYTHON_USEDEP}]
+       virtual/pkgconfig
+       doc? (
+               >=app-text/dvipng-1.15-r1
+               >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+               >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+               >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+               >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+               >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+               virtual/latex-base
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-fontsrecommended
+               dev-texlive/texlive-latexrecommended
+               dev-texlive/texlive-luatex
+               dev-texlive/texlive-xetex
+               >=media-gfx/graphviz-2.42.3[cairo]
+       )
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+               gtk3? (
+                       
>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+                       x11-libs/gtk+:3[introspection]
+               )
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+use_setup() {
+       local uword="${2:-${1}}"
+       if use "${1}"; then
+               echo "${uword} = True"
+               echo "${uword}agg = True"
+       else
+               echo "${uword} = False"
+               echo "${uword}agg = False"
+       fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+#      local PATCHES=(
+#              "${FILESDIR}"/${P}-unbundle-pycxx.patch
+#              "${FILESDIR}"/${P}-unbundle-agg.patch
+#      )
+#      rm -r agg24 CXX || die
+#      rm -r agg24 || die
+
+       # Affects installed _version.py, bug #854600
+       export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+       local PATCHES=(
+               "${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+               "${FILESDIR}"/matplotlib-3.8.0-test.patch
+       )
+
+       hprefixify setupext.py
+
+       rm -rf libqhull || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       append-flags -fno-strict-aliasing
+       append-cppflags -DNDEBUG  # or get old trying to do triangulation
+       tc-export PKG_CONFIG
+
+       unset DISPLAY # bug #278524
+       export XDG_RUNTIME_DIR="${T}/runtime-dir"
+       mkdir "${XDG_RUNTIME_DIR}" || die
+       chmod 0700 "${XDG_RUNTIME_DIR}" || die
+}
+
+python_configure() {
+       mkdir -p "${BUILD_DIR}" || die
+
+       # create setup.cfg (see setup.cfg.template for any changes).
+
+       # common switches.
+       cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+               [directories]
+               basedirlist = ${EPREFIX}/usr
+               [provide_packages]
+               pytz = False
+               dateutil = False
+               [libs]
+               system_freetype = True
+               system_qhull = True
+               [packages]
+               tests = True
+               [gui_support]
+               agg = True
+               gtk = False
+               gtkagg = False
+               macosx = False
+               pyside = False
+               pysideagg = False
+               qt4 = False
+               qt4agg = False
+               $(use_setup cairo)
+               $(use_setup gtk3)
+               $(use_setup qt5)
+               $(use_setup tk)
+               $(use_setup wxwidgets wx)
+       EOF
+
+       if use gtk3 && use cairo; then
+               echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+       else
+               echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+       fi
+}
+
+wrap_setup() {
+       local MAKEOPTS=-j1
+       local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+       "$@"
+}
+
+python_compile() {
+       wrap_setup distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_compile_all() {
+       if use doc; then
+               cd doc || die
+
+               VARTEXFONTS="${T}"/fonts \
+               emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+       fi
+}
+
+src_test() {
+       mkdir build || die
+       ln -s "${WORKDIR}/freetype-${FT_PV}" build/ || die
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # broken by -Wdefault
+               
"tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg6-MatplotlibDeprecationWarning]"
+               
"tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg7-MatplotlibDeprecationWarning]"
+               tests/test_testing.py::test_warn_to_fail
+               # TODO?
+               tests/test_backend_qt.py::test_fig_sigint_override
+               # unhappy about xdist
+               
tests/test_widgets.py::test_span_selector_animated_artists_callback
+               # leak tests are fragile
+               tests/test_backends_interactive.py::test_figure_leak_20490
+       )
+
+       case ${EPYTHON} in
+               python3.11)
+                       EPYTEST_DESELECT+=(
+                               # 
https://github.com/matplotlib/matplotlib/issues/23384
+                               
"tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND':
 'qtagg', 'QT_API': 'PyQt5'}]"
+                               
"tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND':
 'qtcairo', 'QT_API': 'PyQt5'}]"
+                       )
+                       ;;
+               python3.12)
+                       EPYTEST_DESELECT+=(
+                               
tests/test_constrainedlayout.py::test_compressed1
+                       )
+                       ;;
+       esac
+
+       case "${ABI}" in
+               alpha|arm|hppa|m68k|o32|ppc|s390|sh|sparc|x86)
+                       EPYTEST_DESELECT+=(
+                               # too large for 32-bit platforms
+                               'tests/test_axes.py::test_psd_csd[png]'
+                       )
+                       ;;
+               *)
+                       ;;
+       esac
+
+       if use hppa ; then
+               EPYTEST_DESELECT+=(
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[hspace without value]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[hspace with invalid value]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[function without space]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[accent without space]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[frac 
without parameters]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[frac 
with empty parameters]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[binom 
without parameters]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[binom 
with empty parameters]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[genfrac without parameters]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[genfrac with empty 
parameters]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[sqrt 
without parameters]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[sqrt 
with invalid value]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[overline without parameters]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[overline with empty 
parameter]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[left 
with invalid delimiter]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[right 
with invalid delimiter]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses with 
sizing]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses without 
sizing]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[dfrac 
without parameters]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[dfrac 
with empty parameters]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[overset without parameters]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[underset without parameters]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[unknown symbol]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[double superscript]'
+                       
'tests/test_mathtext.py::test_mathtext_exceptions[double subscript]'
+                       'tests/test_mathtext.py::test_mathtext_exceptions[super 
on sub without braces]'
+                       'tests/test_quiver.py::test_barbs[png]'
+                       'tests/test_quiver.py::test_barbs_pivot[png]'
+                       'tests/test_quiver.py::test_barbs_flip[png]'
+                       'tests/test_text.py::test_parse_math'
+                       'tests/test_text.py::test_parse_math_rcparams'
+               )
+       fi
+
+       # we need to rebuild mpl against bundled freetype, otherwise
+       # over 1000 tests will fail because of mismatched font rendering
+       grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+               > "${BUILD_DIR}"/test-setup.cfg || die
+       local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+
+       esetup.py build -j1 --build-lib="${BUILD_DIR}"/test-lib
+       local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+       # speed tests up
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       # pretend we're on CI to increase timeouts
+       local -x CI=1
+       nonfatal epytest --pyargs matplotlib -m "not network" || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to